## solr 0.1.0

=== DESCRIPTION ===
Package: solr
Title: General purpose R interface to Solr
Description: This package provides a set of functions for querying and parsing
    data from Solr endpoints (local and remote), including search, faceting,
    highlighting, stats, and 'more like this'.
Version: 0.1.0
Date: 2013-12-31
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
Depends: R (>= 3.0.2)
License: MIT + file LICENSE
URL: https://github.com/ropensci/solr
BugReports: http://www.github.com/ropensci/solr/issues
LazyLoad: true
LazyData: true
VignetteBuilder: knitr
Imports: plyr, httr, XML, data.table, assertthat, rjson
Suggests: testthat, roxygen2, knitr
Packaged: 2013-12-31 16:09:11 UTC; scottmac2
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-31 18:25:00
