## solr 0.1.4

=== DESCRIPTION ===
Package: solr
Title: General purpose R interface to Solr
Description: This package provides a set of functions for querying and parsing
    data from Solr endpoints (local and remote), including search, faceting,
    highlighting, stats, and 'more like this'.
Version: 0.1.4
Date: 2014-03-14
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/solr
BugReports: http://www.github.com/ropensci/solr/issues
LazyLoad: true
LazyData: true
VignetteBuilder: knitr
Imports: plyr, httr, XML, assertthat, rjson
Suggests: testthat, roxygen2, knitr
Packaged: 2014-03-14 16:57:18 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-03-14 18:30:17
