## solr 0.1.6

=== DESCRIPTION ===
Package: solr
Title: General Purpose R Interface to Solr
Description: Provides a set of functions for querying and parsing
    data from Solr endpoints (local and remote), including search, faceting,
    highlighting, stats, and 'more like this'.
Version: 0.1.6
Date: 2015-09-17
Authors@R: person("Scott", "Chamberlain", role = c("aut", "cre"),
    email = "myrmecocystus@gmail.com")
License: MIT + file LICENSE
URL: https://github.com/ropensci/solr
BugReports: http://www.github.com/ropensci/solr/issues
LazyLoad: true
LazyData: true
VignetteBuilder: knitr
Imports: methods, utils, plyr, httr, XML, assertthat, rjson
Suggests: testthat, roxygen2, knitr
NeedsCompilation: no
Packaged: 2015-09-17 19:11:29 UTC; sacmac
Author: Scott Chamberlain [aut, cre]
Maintainer: Scott Chamberlain <myrmecocystus@gmail.com>
Repository: CRAN
Date/Publication: 2015-09-17 22:50:16
