## solr 1.4.1+dfsg1

=== debian/changelog ===
solr (1.4.1+dfsg1-3) unstable; urgency=low

  [ Jan-Pascal van Best ]
  * Removed Jan-Pascal from uploaders.

  [ James Page ]
  * Added myself to uploaders.
  * Bumped Standards-Version to 3.9.3:
    - d/copyright: Referenced released version of DEP-5 and tidied up 
      obsolete field names.
  * Install utility scripts to correct location under ${solr.home}
    (Closes: #538229), create symlink for backwards compatibility.
  * Link /var/log/solr to ${solr.home}/logs.
  * Added Italian debconf translation (Closes: #659388). Thanks to Beatrice
    Torracca for this work.
  * Sync changes from Ubuntu and fix FTBFS with current versions of lucene
    (Closes: #593027).
  * Drop dependency on glassfish-mail, no longer required (Closes: #575208).
  * Pickup maintenance of this package until solr3/lucene3 supercedes it.
    (Closes: #652729, #674511).
  * Use default-jre-headless as primary runtime dependency for solr-common.
  * Removed Thomas Koch from uploaders, thanks for your work!

 -- James Page <james.page@ubuntu.com>  Fri, 25 May 2012 09:22:40 +0100

solr (1.4.1+dfsg1-2) unstable; urgency=low

  * Add lucene-memory.jar to WEB-INF/lib. Closes: #573156.
  * Increase depends version of libjaxp1.3-java. Closes: #575145.
  * add jcl-over-slf4j.jar to WEB-INF/lib. Closes: #605766.

 -- Thomas Koch <thomas@koch.ro>  Fri, 03 Dec 2010 11:09:05 +0100

solr (1.4.1+dfsg1-1) unstable; urgency=low

  * New upstream release (1.4.1). Closes: #602696.

 -- Thomas Koch <thomas@koch.ro>  Tue, 30 Nov 2010 11:19:37 +0100

solr (1.4.0+ds1-3) UNRELEASED; urgency=low

  * Add Danish debconf translation. (Closes: #597763)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 24 Sep 2010 11:28:57 +0200

solr (1.4.0+ds1-2) unstable; urgency=low

  * Team upload.
  * Explicitely specify lucene_version in debian/ant.properties. (Closes:
    #577357)
  * Add spanish debconf translation. (Closes: #578614)

 -- Torsten Werner <twerner@debian.org>  Sat, 24 Apr 2010 09:18:07 +0200
