=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg\.\d+$// \
  http://archive.apache.org/dist/lucene/solr/(?:[\d\.]+)/apache-solr-(.*).tgz \
  debian
