=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: solr
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.0
Homepage: http://lucene.apache.org/solr

Package:  solr
Architecture: all
Depends: bigtop-utils (>= 0.7), hadoop, hadoop-hdfs, sentry (>= 1.3.0+cdh6.0.0), zookeeper, curl, ant
Description: Apache Solr is the popular, blazing fast open source enterprise search platform
 Solr is the popular, blazing fast open source enterprise search platform from
 the Apache Lucene project. Its major features include powerful full-text 
 search, hit highlighting, faceted search, dynamic clustering, database 
 integration, rich document (e.g., Word, PDF) handling, and geospatial search. 
 Solr is highly scalable, providing distributed search and index replication, 
 and it powers the search and navigation features of many of the world's 
 largest internet sites.
 .
 Solr is written in Java and runs as a standalone full-text search server within
 a servlet container such as Jetty. Solr uses the Lucene Java search library at
 its core for full-text indexing and search, and has REST-like HTTP/XML and JSON
 APIs that make it easy to use from virtually any programming language. Solr's
 powerful external configuration allows it to be tailored to almost any type of
 application without Java coding, and it has an extensive plugin architecture 
 when more advanced customization is required.

Package:  solr-server
Architecture: all
Depends: solr (= ${source:Version})
Description: The Solr server
 This package starts the Solr server on startup

Package: solr-doc
Architecture: all
Section: doc
Description: Documentation for Apache Solr
 Documentation for Apache Solr
