=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=ea316e8624678b3acedf56c156b884efa600016d
 LUCENE_SOLR_VERSION=7.4.0+cdh6.3.0
 LUCENE_SOLR_PATCHED_VERSION=7.4.0-cdh6.3.0
 LUCENE_SOLR_BASE_VERSION=7.4.0
 LUCENE_SOLR_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=7.4.0+cdh6.3.0-1279813.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_build:
	# we'll just use the build from the tarball.
	env FULL_VERSION=${LUCENE_SOLR_PATCHED_VERSION} bash -x debian/do-component-build

override_dh_auto_install:
	bash -x debian/install_solr.sh \
	  --build-dir=solr/build/solr-${LUCENE_SOLR_PATCHED_VERSION} \
	  --doc-dir=/usr/share/doc/solr-doc \
	  --distro-dir=debian \
	  --prefix=debian/tmp
	install -d -m 0755 debian/tmp/etc/init.d
	cp debian/solr-server.init.debian debian/tmp/etc/init.d/solr-server
	chmod 755 debian/tmp/etc/init.d/solr-server

override_dh_installchangelogs:
	dh_installchangelogs -Xchanges

override_dh_compress:
	dh_compress -Xusr/share/doc/solr-doc

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
