=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package:  solr
 Architecture: all
-Depends: bigtop-utils (>= 0.7), hadoop, hadoop-hdfs, sentry (>= 1.3.0+cdh6.0.0), zookeeper, curl, ant
+Depends: bigtop-utils (>= 0.7), hadoop, hadoop-hdfs, sentry (>= 1.3.0+cdh6.0.0), zookeeper, curl
 Description: Apache Solr is the popular, blazing fast open source enterprise search platform
  Solr is the popular, blazing fast open source enterprise search platform from
  the Apache Lucene project. Its major features include powerful full-text
