=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=ea316e8624678b3acedf56c156b884efa600016d
- LUCENE_SOLR_VERSION=7.4.0+cdh6.3.0
- LUCENE_SOLR_PATCHED_VERSION=7.4.0-cdh6.3.0
+export COMPONENT_HASH=d43be260a3ef7381d826572379ff827e7abf4d5f
+ LUCENE_SOLR_VERSION=7.4.0+cdh6.3.2
+ LUCENE_SOLR_PATCHED_VERSION=7.4.0-cdh6.3.2
  LUCENE_SOLR_BASE_VERSION=7.4.0
- LUCENE_SOLR_RELEASE=1279813
+ LUCENE_SOLR_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=7.4.0+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=7.4.0+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
